
Foreman - Bug #22698

clearing search filter does not clear search filter

02/26/2018 10:10 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Search   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5434,

https://github.com/theforeman/foreman/p

ull/5601

  

Description

steps to reproduce

1. go to a page with search, set some filter condition and click search

2. click on the 'x' button to clear the search filter

3. click on search again, and note that the page retain its current search condition.

Associated revisions

Revision 2ce888d2 - 05/22/2018 01:42 PM - boaz shust

Fixes #22698 - clear the search filter

clearing the search filter does not take place when submitting

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1 - 04/11/2018 11:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5434 added

#2 - 04/12/2018 12:17 PM - Ondřej Pražák

- translation missing: en.field_release set to 297

#3 - 04/12/2018 12:54 PM - Marek Hulán

btw is this a 1.17 regression? could you add related issue if you have the introducing issue?

#4 - 04/20/2018 02:18 PM - Marek Hulán

I think it has not been working long before 1.17, while it might be small enough fix for cherry-picking, I don't think we'd do 1.17.1 only because of this.

The introducing issue was not provided. Of course leaving the decision on the owner of the release.

#5 - 05/17/2018 10:54 AM - Tomer Brisker

- translation missing: en.field_release changed from 297 to 360

Pushing out to 1.17.2, this won't be fixed in time for 1.17.1.

#6 - 05/22/2018 01:50 PM - Tomer Brisker

- translation missing: en.field_release changed from 360 to 330

pushing out to 1.18.0 for now
#7 - 05/22/2018 01:54 PM - The Foreman Bot

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5601 added

#8 - 05/22/2018 02:01 PM - boaz shust

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2ce888d2b98697dbfec964ea9ff03905607aa237.
